## opendkim 2.11.0~beta2

=== debian/changelog ===
opendkim (2.11.0~beta2-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15
    in Milter headers. (Closes: #1097516)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Oct 2025 15:34:59 +0300

opendkim (2.11.0~beta2-9.1) unstable; urgency=medium

  [ Helmut Grohne]
  * Non-maintainer upload.

  [ Tim Woodall ]
  * debian/patches/ftbfs-gcc-14-1075339.patch: Fix FTBFS with gcc-14. (Closes:
    #1075339)
  * Move /lib/opendkim/opendkim.service.generate to /usr (DEP17). (Closes:
    #1073606)

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 11 Sep 2024 14:59:31 +0200

opendkim (2.11.0~beta2-9) unstable; urgency=medium

  [ David Bürgin ]
  * debian/patches: Add missing upstream bug metadata, add new patches:
    - rev-ares-deletion.patch: Delete Authentication-Results headers in
      reverse, addresses CVE-2022-48521 (Closes: #1041107).
    - ares-missing-space.patch: Add missing space in Auth-Results header.
  * Replace transitional libldap2-dev with libldap-dev in Build-Depends.
  * Remove obsolete lsb-base dependency in opendkim package.
  * Delete obsolete entries in debian/opendkim.NEWS.

  [ Samuel Thibault ]
  * d/rules: Generalize hurd-i386 into hurd.

 -- David Bürgin <dbuergin@gluet.ch>  Sun, 19 Nov 2023 21:12:46 +0100

opendkim (2.11.0~beta2-8) unstable; urgency=medium

  [ David Bürgin ]
  * Add patch "fix-RSA_Sign-call.patch": Fix signedness bug in RSA_Sign call
    (patch by Martin Grimm; closes: #1012506).
  * Update debian/watch to monitor GitHub tags instead of releases page.
  * Bump Standards-Version to 4.6.2 without further changes.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository-Browse, Bug-Database,
    Bug-Submit.

 -- David Bürgin <dbuergin@gluet.ch>  Tue, 20 Dec 2022 09:10:44 +0100

opendkim (2.11.0~beta2-7) unstable; urgency=medium

  * systemd: Start service after network is online (Closes: #1004394).
  * Bump Standards-Version to 4.6.1 without further changes.

 -- David Bürgin <dbuergin@gluet.ch>  Thu, 21 Jul 2022 14:08:18 +0200

opendkim (2.11.0~beta2-6) unstable; urgency=medium

  * Deprecate /lib/opendkim/opendkim.service.generate script: instead, edit
    /etc/opendkim.conf directly, or use "systemctl edit opendkim.service" to
    create configuration overrides.
  * Add patch "lua-5.3.patch": Upgrade Lua library dependency to version 5.3
    (from 5.1).
  * Document service startup order in README.Debian (Closes: #971074).

 -- David Bürgin <dbuergin@gluet.ch>  Wed, 24 Nov 2021 11:29:04 +0100

opendkim (2.11.0~beta2-5) unstable; urgency=medium

  * opendkim-tools: Do not install obsolete opendkim-convert-keylist script.
  * Add new patches:
    - cve-2020-12272.patch: Mitigation for CVE-2020-12272.
    - opendkim-genkey-typo.patch: Correct typo in man page (Closes: #960447).
    - replace-headers.patch: Fix ReplaceHeaders parameter (Closes: #986878).
    - insheader.patch: Insert trace headers at index 0.
    - mlfi_close.patch: Fix segfault due to use-after-free in mlfi_close.
    - conf_refcnt.patch: Remove invalid assert statement.
  * debian/control: Set "Rules-Requires-Root: no".
  * Bump Standards-Version to 4.6.0 without further changes.

 -- David Bürgin <dbuergin@gluet.ch>  Tue, 24 Aug 2021 11:56:22 +0200

opendkim (2.11.0~beta2-4) unstable; urgency=medium

  * Update debhelper-compat to compatibility level 13.
    - Rename d/opendkim.tmpfile for new dh_installtmpfiles convention.
  * opendkim-tools: Reference "OpenDKIM" in synopsis.
  * miltertest: Drop patch moving the man page (rejected upstream).
  * Add missing DEP-3 headers tracking upstream bug in d/patches.

 -- David Bürgin <dbuergin@gluet.ch>  Mon, 12 Oct 2020 15:15:30 +0200

opendkim (2.11.0~beta2-3) unstable; urgency=medium

  * Move miltertest into a separate binary package (Closes: #947324).
  * miltertest: Add a patch that moves the man page to section 1.
  * Use dh_auto_configure instead of ./configure directly, in order to install
    libraries and pkg-config files in the multiarch path /usr/lib/*/.
  * Mark shared library packages as "Multi-Arch: same" in d/control.
  * Silence a debhelper warning by renaming d/opendkim.service.generate.
  * Bump Standards-Version to 4.5.0 without further changes.

 -- David Bürgin <dbuergin@gluet.ch>  Thu, 21 May 2020 15:06:20 +0200

opendkim (2.11.0~beta2-2) unstable; urgency=medium

  * Bump debhelper compat to compatibility level 12, necessitating many small
    changes in .install files and similar to silence dh_missing warnings.
  * General packaging overhaul:
    - Package synopses have been streamlined.
    - opendkim-tools: System utilities have moved from /usr/bin to /usr/sbin.
    - opendkim-tools: A few secondary statistics utilities are now included.
    - Various additional documentation is included.
    - Recommends: Promote opendkim-tools to opendkim recommends, because it is
      indispensable for initial setup and almost always installed together
      with opendkim.
    - Suggests: Drop unbound from opendkim suggests, because opendkim already
      uses libunbound, suggesting the standalone service may be misleading.
    - Remnants of obsolete (unused) "reputation" packages have been purged.
  * Additional patches:
    - opendkim-genzone: Fix inverted logic with subdomains (after a patch
      originally by Andreas Schulze).
    - opendkim: Suppress an empty pair of brackets logged to syslog.
  * Drop redundant specification of default config ("-x /etc/opendkim.conf")
    in systemd and init services.
  * Rewrite /etc/opendkim.conf and discourage use of /etc/default/opendkim
    (Closes: #861169).
  * postinst: Make script more robust when expected directories are not
    present (LP: #1787307).

 -- David Bürgin <dbuergin@gluet.ch>  Tue, 28 Jan 2020 10:13:12 +0100

opendkim (2.11.0~beta2-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches, delete patch "openssl_1.1.0_compat.patch" incorporated
      upstream

