=== debian/control ===
Source: opendkim
Section: mail
Priority: optional
Maintainer: David Bürgin <dbuergin@gluet.ch>
Build-Depends: debhelper-compat (= 13), pkg-config, libmilter-dev, libdb-dev,
 libunbound-dev [linux-any], libldap-dev, liblua5.3-dev, libbsd-dev,
 libopendbx1-dev [linux-any kfreebsd-any], libssl-dev, libsasl2-dev,
 libmemcached-dev
Standards-Version: 4.6.2
Homepage: http://www.opendkim.org/
Vcs-Browser: https://salsa.debian.org/debian/opendkim
Vcs-Git: https://salsa.debian.org/debian/opendkim.git
Rules-Requires-Root: no

Package: opendkim
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libopendkim11 (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends}, adduser, dns-root-data
Recommends: opendkim-tools
Description: DomainKeys Identified Mail (DKIM) signing and verifying milter
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 DKIM provides a way for senders to confirm their identity when sending email
 by adding a cryptographic signature to the headers of the message.
 .
 This package contains the OpenDKIM mail filter (Milter) for plugging into
 Milter-aware MTAs. It implements both signing and verification.

Package: opendkim-tools
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Breaks: opendkim (<< 2.5.2+dfsg-2~)
Replaces: opendkim (<< 2.5.2+dfsg-2~)
Description: utilities for administering the OpenDKIM milter
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package contains command line tools for the OpenDKIM mail filter
 (Milter).  The following tools are included:
   - opendkim-genkey
   - opendkim-genzone
   - opendkim-atpszone
   - opendkim-testkey
   - opendkim-testmsg
   - opendkim-spam
   - opendkim-stats
   - opendkim-gengraphs
   - opendkim-genstats
   - opendkim-importstats
   - opendkim-expire

Package: libopendkim11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DomainKeys Identified Mail (DKIM) library
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package provides library for implementing signing and verification of the
 DomainKeys Identified Mail (DKIM) standard. This library provides support for
 signing and verifying signatures according to RFC 4871, and supports both
 DomainKeys signing policy and DKIM ADSP.

Package: libopendkim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libopendkim11 (= ${binary:Version}), ${misc:Depends}
Description: DomainKeys Identified Mail (DKIM) library (development files)
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package provides the required header files and development libraries for
 developing against the OpenDKIM library.

Package: libvbr2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Vouch By Reference (VBR) library
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package provides library for implementing RFC 5518 Vouch By Reference
 (VBR), a peer-to-peer domain reputation service protocol based on DKIM signed
 domains.
 .
 Vouch By Reference, or VBR, is a protocol for adding third-party
 certification to email.  Specifically, VBR permits independent third parties
 to certify the owner of a domain name that is associated with received mail.
 VBR may be performed anywhere along the email transit path, by any capable
 receiving module, either within the handling service or by end-user software.

Package: libvbr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libvbr2 (= ${binary:Version}), ${misc:Depends}
Description: Vouch By Reference (VBR) library (development files)
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package provides the required header files and development libraries for
 developing against the OpenDKIM project VBR library.

Package: librbl1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Real-time Blacklist (RBL) query library
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package provides library for implementing OpenDKIM's RBL system.

Package: librbl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librbl1 (= ${binary:Version}), ${misc:Depends}
Description: Real-time Blacklist (RBL) query library (development files)
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package provides the required header files and development libraries for
 developing against the OpenDKIM project RBL library.

Package: miltertest
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: opendkim-tools (<< 2.11.0~beta2-3)
Replaces: opendkim-tools (<< 2.11.0~beta2-3)
Description: utility for testing milter applications
 The OpenDKIM Project is a community effort to develop and maintain a C library
 for producing DKIM-aware applications and an open source milter for providing
 DomainKeys Identified Mail (DKIM) service.
 .
 This package contains the miltertest program, a utility that serves as a test
 driver for milter application tests. miltertest executes milter test scripts
 written in the Lua programming language.
